import { MatIconRegistry } from "@angular/material/icon";
import { DomSanitizer } from "@angular/platform-browser";
export declare class QMSIconRegistryService {
    registerProcessIcon(_iconRegistry: MatIconRegistry, _sanitizer: DomSanitizer): void;
    registerProcessAreaIcon(_iconRegistry: MatIconRegistry, _sanitizer: DomSanitizer): void;
    registerDocumentIcon(_iconRegistry: MatIconRegistry, _sanitizer: DomSanitizer): void;
    registerFolderIcon(_iconRegistry: MatIconRegistry, _sanitizer: DomSanitizer): void;
    registerDeviationIcon(_iconRegistry: MatIconRegistry, _sanitizer: DomSanitizer): void;
    registerChecklistIcon(_iconRegistry: MatIconRegistry, _sanitizer: DomSanitizer): void;
    registerRiskIcon(_iconRegistry: MatIconRegistry, _sanitizer: DomSanitizer): void;
}
